/*
 * File: DNS_Manager.h
 * Created: Fri 22 Feb 2008
 * Last modified: Wed 23 Apr 2008
 * Author: Adrian Łubik
 * License: GNU LGPL v3 or newer
 */

#ifndef DNS_MANAGER_H
#define DNS_MANAGER_H

#include <QDebug>
#include <QString>
#include <QStringList>
#include <QFile>
#include <QRegExp>

class DNS_Manager
{
public:
    DNS_Manager();
    virtual ~DNS_Manager() {}
    bool setServers ( QStringList &addresses );
    bool isFileCorrect();
    bool restore();

    QFile *m_resolvConf;
    QFile *m_oldResolvConf;
    QRegExp m_ipRegExp;
    QRegExp m_resolvConfEntry;
};
#endif
