/*
 * File: SystemInfo.h
 * Created: Thu 31 Jan 2008
 * Last modified: Wed 23 Apr 2008
 * Author: Adrian Łubik
 * License: GNU LGPL v. 3 or newer
 */

#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <sys/utsname.h>
#include <QDebug>
#include <QString>
#include <QStringList>
#include <QRegExp>
#include <QFile>

namespace UbuDSL
{
namespace SystemInfo
{
QString getKernelRelease();
QString getArchitecture();
QString getProcessorArchitecture();
QString getDistributionName();
QString getDistributionRelease();
}
}

#endif
